View Issue Details

IDProjectCategoryView StatusLast Update
0003053SOGoPackaging (Debian)public2016-04-13 13:49
Reporterrverchere Assigned Toplevesque  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version7 (Wheezy)
Product Version2.2.13 
Fixed in Versionnightly v2 
Summary0003053: sogo-backup.sh is not executable
Description

Every time I upgrade sogo, the next day I run sogo-backup.sh I get the following error:

/bin/sh: 1: /usr/share/doc/sogo/sogo-backup.sh: Permission denied

Making a chmod +x /usr/share/doc/sogo/sogo-backup.sh resolves the issue.

Then, could you make executable this script in the debian package?

Thanks

TagsNo tags attached.

Relationships

related to 0003230 resolvedplevesque Post-installation should run database migration script 

Activities

ludovic

ludovic

2016-04-13 11:50

administrator   ~0009972

2.3.11 and 3.0.3 will have the fix.

plevesque

plevesque

2016-04-13 13:45

reporter   ~0009975

Last edited: 2016-04-13 13:49

View 2 revisions

Script files in /usr/share/doc/sogo will from now on be executable.

Already included in nightly builds; will be part of the next set of releases for v2 and v3, as mentioned by Ludovic.

Related Changesets

sogo: master 1f029c9c

2016-04-11 11:28:01

plevesque

Details Diff
Make example scripts in documentation executable.

Addresses bug 0003053 at http://sogo.nu/bugs/view.php?id=3053
Affected Issues
0003053
mod - packaging/debian/sogo.postinst Diff File

sogo: v2 57fc2082

2016-04-11 11:28:01

plevesque

Details Diff
Make example scripts in documentation executable.

Addresses bug 0003053 at http://sogo.nu/bugs/view.php?id=3053
Affected Issues
0003053
mod - packaging/debian/sogo.postinst Diff File

sogo: master e88ce682

2016-04-11 14:23:02

plevesque

Details Diff
Make example scripts in documentation executable (RHEL).

Addresses bug 0003053 at http://sogo.nu/bugs/view.php?id=3053
Affected Issues
0003053
mod - packaging/rhel/sogo.spec Diff File

sogo: v2 74321453

2016-04-11 14:23:02

plevesque

Details Diff
Make example scripts in documentation executable (RHEL).

Addresses bug 0003053 at http://sogo.nu/bugs/view.php?id=3053
Affected Issues
0003053
mod - packaging/rhel/sogo.spec Diff File

Issue History

Date Modified Username Field Change
2015-01-06 02:39 rverchere New Issue
2016-04-01 11:03 ludovic Relationship added related to 0003230
2016-04-01 11:03 ludovic Assigned To => plevesque
2016-04-01 11:03 ludovic Status new => assigned
2016-04-11 11:31 plevesque Changeset attached => sogo master 1f029c9c
2016-04-11 11:38 plevesque Changeset attached => sogo v2 57fc2082
2016-04-11 14:23 plevesque Changeset attached => sogo master e88ce682
2016-04-11 14:24 plevesque Changeset attached => sogo v2 74321453
2016-04-13 11:50 ludovic Note Added: 0009972
2016-04-13 11:50 ludovic Status assigned => closed
2016-04-13 11:50 ludovic Resolution open => fixed
2016-04-13 11:50 ludovic Fixed in Version => 2.3.11
2016-04-13 13:45 plevesque Note Added: 0009975
2016-04-13 13:46 plevesque Status closed => resolved
2016-04-13 13:46 plevesque Fixed in Version 2.3.11 => nightly v2
2016-04-13 13:49 plevesque Note Edited: 0009975 View Revisions